list_workspaces
curl --request GET \
--url https://ndi-api.nace.ai/v1/workspaces \
--header 'X-API-Key: <api-key>'{
"items": [
{
"access": {
"default_label": "<string>",
"labels": [
{
"description": "<string>",
"name": "<string>"
}
]
},
"config_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"currency": {
"default": "USD"
},
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_slug": "<string>",
"domain_version": 123,
"knowledge_graph": {
"auto_build": true,
"exclude_categories": [
"<string>"
],
"exclude_path_prefixes": [
"<string>"
]
},
"name": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retention_policy": {
"derived_ttl_days": 2,
"job_ttl_days": 30,
"source_ttl_days": 2
},
"share_count": 1,
"status": "active",
"updated_at": "2023-11-07T05:31:56Z",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"global_context": "",
"ledger_understanding": {
"engine": "measured",
"gl_parsing": true,
"package_confirmation": "required",
"package_scope": {
"path_prefix": "<string>",
"paths": [
"<string>"
],
"selection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"prepared_relationships": [
{
"bucket_count": 123,
"keys": [
{
"left_column": "<string>",
"right_column": "<string>",
"left_normalization": {
"kind": "identity"
},
"right_normalization": {
"kind": "identity"
}
}
],
"left": {
"path": "<string>",
"component": "<string>"
},
"name": "<string>",
"right": {
"path": "<string>",
"component": "<string>"
}
}
],
"trigger": "auto"
},
"purpose": "perception_playground"
}
],
"total_count": 123,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_request",
"detail": null,
"message": "Request body has extra fields that this operation does not accept.",
"request_id": "req-01j9k2n3p4q5r6s7t8v9",
"retryable": false
}
}{
"error": {
"code": "invalid_request",
"detail": null,
"message": "Request body has extra fields that this operation does not accept.",
"request_id": "req-01j9k2n3p4q5r6s7t8v9",
"retryable": false
}
}list_workspaces
Page through the caller’s workspaces, oldest-first. Cost class: fast.
Keyset-paginated on (created_at, id); the cursor is opaque.
GET
/
v1
/
workspaces
list_workspaces
curl --request GET \
--url https://ndi-api.nace.ai/v1/workspaces \
--header 'X-API-Key: <api-key>'{
"items": [
{
"access": {
"default_label": "<string>",
"labels": [
{
"description": "<string>",
"name": "<string>"
}
]
},
"config_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"currency": {
"default": "USD"
},
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_slug": "<string>",
"domain_version": 123,
"knowledge_graph": {
"auto_build": true,
"exclude_categories": [
"<string>"
],
"exclude_path_prefixes": [
"<string>"
]
},
"name": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retention_policy": {
"derived_ttl_days": 2,
"job_ttl_days": 30,
"source_ttl_days": 2
},
"share_count": 1,
"status": "active",
"updated_at": "2023-11-07T05:31:56Z",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"global_context": "",
"ledger_understanding": {
"engine": "measured",
"gl_parsing": true,
"package_confirmation": "required",
"package_scope": {
"path_prefix": "<string>",
"paths": [
"<string>"
],
"selection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"prepared_relationships": [
{
"bucket_count": 123,
"keys": [
{
"left_column": "<string>",
"right_column": "<string>",
"left_normalization": {
"kind": "identity"
},
"right_normalization": {
"kind": "identity"
}
}
],
"left": {
"path": "<string>",
"component": "<string>"
},
"name": "<string>",
"right": {
"path": "<string>",
"component": "<string>"
}
}
],
"trigger": "auto"
},
"purpose": "perception_playground"
}
],
"total_count": 123,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_request",
"detail": null,
"message": "Request body has extra fields that this operation does not accept.",
"request_id": "req-01j9k2n3p4q5r6s7t8v9",
"retryable": false
}
}{
"error": {
"code": "invalid_request",
"detail": null,
"message": "Request body has extra fields that this operation does not accept.",
"request_id": "req-01j9k2n3p4q5r6s7t8v9",
"retryable": false
}
}Authorizations
Query Parameters
Case-insensitive name filter.
Opaque cursor from a previous page's next_cursor. Omit for the first page.
Rows per page.
Required range:
1 <= x <= 200